package vn.azteam.tpf.service.mapper;

import vn.azteam.tpf.domain.*;
import vn.azteam.tpf.service.dto.TBWaterTypeDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity TBWaterType and its DTO TBWaterTypeDTO.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TBWaterTypeMapper extends EntityMapper<TBWaterTypeDTO, TBWaterType> {



    default TBWaterType fromId(Long id) {
        if (id == null) {
            return null;
        }
        TBWaterType tBWaterType = new TBWaterType();
        tBWaterType.setId(id);
        return tBWaterType;
    }
}
